apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.38.0 (a8f5d1cbd)
  labels:
    io.kompose.service: jellyfin
  name: jellyfin
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: jellyfin
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.38.0 (a8f5d1cbd)
      labels:
        io.kompose.service: jellyfin
    spec:
      containers:
        - envFrom:
            - configMapRef:
                name: env-jfn-env
          image: ghcr.io/linuxserver/jellyfin:latest
          livenessProbe:
            exec:
              command:
                - curl -i http://localhost:8096/health || exit 1
            initialDelaySeconds: 60
            periodSeconds: 10
            timeoutSeconds: 3
          name: jellyfin
          ports:
            - containerPort: 8096
              protocol: TCP
            - containerPort: 8920
              protocol: TCP
          securityContext:
            privileged: true
          volumeMounts:
            - mountPath: /config
              name: jellyfin
            - mountPath: /cache
              name: cache
            - mountPath: /media
              name: media
      hostname: jellyfin
      restartPolicy: Always
      volumes:
        - name: jellyfin
          persistentVolumeClaim:
            claimName: jellyfin
        - name: cache
          persistentVolumeClaim:
            claimName: cache
        - name: media
          persistentVolumeClaim:
            claimName: media
